import urllib2

class Loader(object):

	_townsFile = "obce.xml"
	_touristsFile = "rozcestniky.xml"

	def __init__(self, server):
		self.server = "http://" + server

	def LoadTile(self, z, x, y):
		"""Returns a stream which can be a tile read from."""
		return self._makeRequest(self.server + "/" + "/".join([str(a) for a in z, x, y]) + ".jpg")

	def LoadTowns(self):
		return self._makeRequest(self.server + "/" + self._townsFile)

	def LoadTourists(self):
		return self._makeRequest(self.server + "/" + self._touristsFile)

	def _makeRequest(self, url):
		url = urllib2.Request(url)
		try:
			stream =  urllib2.urlopen(url)
			return stream
		except urllib2.HTTPError as e:
			print "HTTP Error: %d " % e.code
			return None
		except IOError, e:
			print "Unable to estabilish a connection: %s " % e
			return None


if __name__ == "__main__":
	l = Loader("192.168.2.76:80")
	print l.LoadTile(0, 0, 0)
	